import { TreeMap } from '../treemap';
/**
 * Legend module class
 */
export declare class TreeMapLegend {
    private treemap;
    /** collection of rendering legends */
    legendRenderingCollections: Object[];
    /** collection of legends */
    legendCollections: Object[];
    private legendHeight;
    private legendWidth;
    private totalPages;
    private page;
    private translate;
    private legendBorderRect;
    private currentPage;
    private heightIncrement;
    private widthIncrement;
    private textMaxWidth;
    /** group of legend */
    legendGroup: Element;
    private legendNames;
    private defsElement;
    private gradientCount;
    private clearTimeout;
    private legendItemRect;
    constructor(treemap: TreeMap);
    /**
     * method for legend
     */
    renderLegend(): void;
    calculateLegendBounds(): void;
    private getPageChanged();
    private findColorMappingLegendItems(data);
    private findPaletteLegendItems(data, type);
    private calculateLegendItems(data);
    private isAddNewLegendData(legendText);
    /**
     * To draw the legend
     */
    drawLegend(): void;
    private drawLegendItem(page);
    private renderLegendBorder();
    private renderLegendTitle();
    /**
     * To rendered the interactive pointer
     */
    renderInteractivePointer(e: PointerEvent | TouchEvent): void;
    private drawInteractivePointer(legend, fill, stroke, id, strokeWidth, rect);
    private getLegendAlignment(treemap, width, height, legend);
    mouseUpHandler(e: PointerEvent): void;
    /**
     * To remove the interactive pointer
     */
    removeInteractivePointer(): void;
    /**
     * To change the next page
     */
    changeNextPage(e: PointerEvent): void;
    /**
     * Wire events for event handler
     */
    wireEvents(element: Element): void;
    /**
     * To add the event listener
     */
    addEventListener(): void;
    /**
     * To remove the event listener
     */
    removeEventListener(): void;
    /**
     * Get module name.
     */
    protected getModuleName(): string;
    /**
     * To destroy the legend.
     * @return {void}
     * @private
     */
    destroy(treemap: TreeMap): void;
}
