/**
 * Specifies the enum values for tree map components.
 */
/**
 * Specifies the types of label position.
 */
export declare type LabelPosition = 'TopLeft' | 'TopCenter' | 'TopRight' | 'CenterLeft' | 'Center' | 'CenterRight' | 'BottomLeft' | 'BottomCenter' | 'BottomRight';
/**
 * Specifies the types of layout rendering modes.
 */
export declare type LayoutMode = 'Squarified' | 'SliceAndDiceHorizontal' | 'SliceAndDiceVertical' | 'SliceAndDiceAuto';
/**
 * Defines the Alignment.
 */
export declare type Alignment = 'Near' | 'Center' | 'Far';
/**
 * Defines the highlight mode.
 */
export declare type HighLightMode = 'Item' | 'Child' | 'Parent' | 'All';
/**
 * Defines the highlight mode.
 */
export declare type SelectionMode = 'Item' | 'Child' | 'Parent' | 'All';
export declare type ExportType = 'PNG' | 'JPEG' | 'SVG' | 'PDF';
/**
 * labelAlignment
 */
export declare type LabelAlignment = 'Trim' | 'Hide' | 'WrapByWord' | 'Wrap';
/**
 * Defines the shape of legend.
 */
export declare type LegendShape = 'Circle' | 'Rectangle' | 'Triangle' | 'Diamond' | 'Cross' | 'Star' | 'HorizontalLine' | 'VerticalLine' | 'Pentagon' | 'InvertedTriangle' | 'Image';
/**
 * Defines the position of the legend. They are
 * * top - Displays the legend on the top.
 * * left - Displays the legend on the left.
 * * bottom - Displays the legend on the bottom.
 * * right - Displays the legend on the right.
 * * float - Displays the legend  based on given x and y value.
 */
export declare type LegendPosition = 'Top' | 'Left' | 'Bottom' | 'Right' | 'Float';
/**
 * Defines the Legend modes. They are
 * * Default - Specifies the Default mode.
 * * interactive - specifies the Interactive mode.
 */
export declare type LegendMode = 'Default' | 'Interactive';
/**
 * Defines the legend arrangement
 */
export declare type LegendOrientation = 'None' | 'Horizontal' | 'Vertical';
/**
 * Defines the label intersect action types
 */
export declare type LabelIntersectAction = 'None' | 'Trim' | 'Hide';
/**
 * Defines the label placement type
 */
export declare type LabelPlacement = 'Before' | 'After';
/**
 * Defines Theme. They are
 * * Material - Render a treemap with Material theme.
 * * Fabric - Render a treemap with Fabric theme
 * * Bootstrap - Render a treemap with Bootstrap theme
 */
export declare type TreeMapTheme = 'Material' | 'Fabric' | 'Highcontrast' | 'Bootstrap';
